FC-GENCONF(1)

NAME
fc-genconf - generate a configuration in XML format

SYNOPSIS
fc-genconf [ -fgloVh ] [ --family family | -f family ] [ --generic genericfamily | -g genericfamily ] [ --lang lang | -l lang ] [ --output file | -o file ] [ --version ] [ --help ]
    [ font path ]

DESCRIPTION

fc-genconf generates a configuration in XML format from font files where available on font path. Optional commandline options such as --family and --generic works as filter if fc-genconf could not fetch a meaningful value from a font metadata.

fc-genconf supports the generic alias rule and the language specific generic alias rule.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-f --family name
    Set a family name to generate a configuration for instead of the family name in the font metadata.

-g --generic name
    Set a generic family name to generate a configuration for instead of the generic family name in the font metadata.

-l --lang lang
    Generate the language specific generic alias rule for. If multiple languages are supposed to be covered by this, simply set them multiple times as needed.

-o --output file
    Output a configuration into file. default is stdout.

-V --version
    Show version of the program and exit.

-h --help
    Show summary of options.

font-path
    A font path where is going to generate a configuration for.

SEE ALSO

FcConfigFileGenerate(3)

The fontconfig user's guide <URL:https://fontconfig.pages.freedesktop.org/fontconfig/fontconfig-user.html>

AUTHOR

This manual page was updated by Akira TAGOH <akira@tagoh.org>.